Bug 450004 - GFS2: gfs2_edit fixes for 5.3
GFS2: gfs2_edit fixes for 5.3
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Robert Peterson
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 13:42 EDT by Robert Peterson
Modified: 2010-01-11 22:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:52:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2008-06-04 13:42:49 EDT
Description of problem:
Since 5.2, I've made some changes to the gfs2_edit tool to fix bugs
relating to non-4K block sizes, printing out gfs1 structures, fix
savemeta and to make it easier to automate testing.  I need to
integrate these changes into the 5.3 code, and I'd rather do it in 
one bug rather than a dozen.

Most of the fixes were done for RHEL5 debugging, so they were done on
the RHEL branch, but I'll make sure these are pushed upstream first.
See the list of changes below:

Version-Release number of selected component (if applicable):
5.2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
[bob@ganesha ~/cluster/gfs2/man]$ git log --pretty=oneline origin/RHEL5..bobRHEL5
ac0425e648bb4465a461832576c7d8673c90a001 Updates to gfs2_edit man page for new
options.
3129ff5b16b572a5d8193359a498630e986389e7 Make gfs2_edit more friendly to
automated testing.
40600f1741ad53d17ec2aadb7f1b516c9d7943ab Fix gfs2_edit bugs with non-4K block sizes
865a880a6f9f1d3a9b3d189abd19941a9f600a4c Fix some compiler warnings in gfs2_edit
6302d5ec0a62e6d573b48e0adc8a70306e4af87a gfs2_edit was not recalculating the max
block size after it figured that out.
475f33224e9db0e26c96de3c0e86f260d5bfc32f Fix gfs2_edit print options (-p) to
work properly for gfs-1 rgs and rindex.  Also fixed rgflags option for 
a54b319269a1ec7e77dd982d7e3867ec48a555b3 Fix savemeta so it saves gfs-1 rg
information properly Also add savergs option to facilitate rg-only repair
Comment 1 Robert Peterson 2008-06-04 13:53:37 EDT
Requesting flags for inclusion into 5.3.
Comment 2 RHEL Product and Program Management 2008-06-04 18:43:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Robert Peterson 2008-07-21 18:52:21 EDT
The following eleven upstream patches were tested on various systems
(roth-01, exxon-01 and kool) and pushed to the RHEL5 branch:

f8e7b52c96448abf6fa6df78e9dba5ecf2103029 Print log header flags for gfs journals.
dd263166de5328d2084f5c363d400e7aa7c8713d Fix some minor white space issues.
30cc45f7ac7a7624d2f38dabd73536db1532d106 savemeta was not saving gfs1 journals
properly.
a1dba8df9cd308fd93e91ad31d6eba05446f8887 Ability to specify starting block or
structure with -s
2a1031c15bbd3965532108040974fe17fe019ca1 Allow keywords in block number input
81a44289d6506bb15f3a2fcdf90595d705a4779e Updates to gfs2_edit man page for new
options.
50f7ed580e0ae47aa0683f8f4fbe422d2ad07e85 Fix gfs2_edit bugs with non-4K block sizes
bf84cc47726a9448b6fde3e1597f794fca3a6ce0 Fix some compiler warnings in gfs2_edit
81a6870f9eadd25c2bfcd2a43af3417aea0722a2 gfs2_edit was not recalculating the max
block size after it figured that out.
11f9487079ce02dbaf3d92ba9fc3745330719cfb Fix gfs2_edit print options (-p) to
work properly for gfs-1 rgs and rindex.  Also fixed rgflags option fo
ac6a11bc0c293762fbff8fda59f058fbcb4689c5 Fix savemeta so it saves gfs-1 rg
information properly Also add savergs option to facilitate rg-only repa

Setting status to modified.
Comment 6 errata-xmlrpc 2009-01-20 15:52:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0087.html

Note You need to log in before you can comment on or make changes to this bug.